import { BasicEvent } from "@skeldjs/events";
import { CompleteTaskMessage } from "@skeldjs/protocol";
import { RoomEvent } from "../RoomEvent";
import { ProtocolEvent } from "../ProtocolEvent";
import { PlayerEvent } from "./PlayerEvent";
import { Hostable } from "../../Hostable";
import { PlayerData } from "../../PlayerData";
import { TaskState } from "../../misc/PlayerInfo";
/**
 * Emitted when a player completes one of their tasks.
 */
export declare class PlayerCompleteTaskEvent<RoomType extends Hostable = Hostable> extends BasicEvent implements RoomEvent, PlayerEvent, ProtocolEvent {
    readonly room: RoomType;
    readonly player: PlayerData<RoomType>;
    readonly message: CompleteTaskMessage | undefined;
    /**
     * The state of the task that the player completed.
     */
    readonly task: TaskState;
    static eventName: "player.completetask";
    eventName: "player.completetask";
    constructor(room: RoomType, player: PlayerData<RoomType>, message: CompleteTaskMessage | undefined, 
    /**
     * The state of the task that the player completed.
     */
    task: TaskState);
}
//# sourceMappingURL=CompleteTask.d.ts.map