import { RevertableEvent } from "@skeldjs/events";
import { Hostable } from "../../Hostable";
import { RoomEvent } from "../RoomEvent";
import { PlayerEvent } from "./PlayerEvent";
import { PlayerData } from "../../PlayerData";
/**
 * Emitted when a player dies, either by being murdered or being exiled. Unlike
 * {@link PlayerMurderEvent}, this event can be reverted to bring the player back
 * to life, but note that their body will not be removed due to technical
 * limitations.
 */
export declare class PlayerDieEvent<RoomType extends Hostable = Hostable> extends RevertableEvent implements RoomEvent, PlayerEvent {
    readonly room: RoomType;
    readonly player: PlayerData<RoomType>;
    /**
     * Whether or not the player died by being exiled. SkeldJS only uses
     * 'murder' or 'exile', although this can be anything.
     */
    readonly reason: string;
    static eventName: "player.die";
    eventName: "player.die";
    constructor(room: RoomType, player: PlayerData<RoomType>, 
    /**
     * Whether or not the player died by being exiled. SkeldJS only uses
     * 'murder' or 'exile', although this can be anything.
     */
    reason: string);
}
//# sourceMappingURL=Die.d.ts.map