import { SpawnType, SystemType } from "@skeldjs/constant";
import { HazelReader, Vector2 } from "@skeldjs/util";
import { ShipStatusData, InnerShipStatus } from "./InnerShipStatus";
import { Hostable } from "../Hostable";
import { Networkable, NetworkableConstructor } from "../Networkable";
import { PlayerData } from "../PlayerData";
/**
 * Represents a room object for the Polus map.
 *
 * See {@link ShipStatusEvents} for events to listen to.
 */
export declare class PolusShipStatus<RoomType extends Hostable = Hostable> extends InnerShipStatus<RoomType> {
    static roomDoors: Partial<Record<SystemType, number[]>>;
    initialSpawnCenter: Vector2;
    meetingSpawnCenter: Vector2;
    meetingSpawnCenter2: Vector2;
    constructor(room: RoomType, spawnType: SpawnType, netId: number, ownerid: number, flags: number, data?: HazelReader | ShipStatusData);
    getComponent<T extends Networkable>(component: NetworkableConstructor<T>): T | undefined;
    Setup(): void;
    getSpawnPosition(player: PlayerData | number, initialSpawn: boolean): Vector2;
    getDoorsInRoom(room: SystemType): number[];
    getTasks(): import("@skeldjs/data").TaskInfo[];
}
//# sourceMappingURL=PolusShipStatus.d.ts.map